System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

When the property is set to , the property should be set to the name of the stored procedure to be accessed. The user may be required to use escape character syntax or include qualifying characters if any of the specified tables named contain any special characters. All rows and columns of the named table or tables will be returned when you call one of the Execute methods of a Command object.

When the property is set to , the property should be set to the name of the table to be accessed. The user may be required to use escape character syntax or include qualifying characters if any of the tables named contain any special characters. All rows and columns of the named table will be returned when you call one of the Execute methods.

In order to access multiple tables, use a comma delimited list, without spaces or padding, containing the names of the tables to access. When the CommandText property names multiple tables, a join of the specified tables is returned.

TableDirect is only supported by the .NET Framework Data Provider for OLE DB. Multiple table access is not supported when is set to TableDirect.

Specifies how a command string is interpreted.

- Field
  System.Data.CommandType To be added

  The name of a stored procedure.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.CommandType To be added

  The name of a table.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.CommandType To be added

  An SQL text command. (Default.)

  1.0.5000.0
  2.0.0.0